<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StringUtil Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">BLANK</a></td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#437e513c495d222d3aca1477cddfb6bf">endsWith</a>(const String &amp;str, const String &amp;pattern, bool lowerCase=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#3005f863e31d14ad8e6502eb4d854709">match</a>(const String &amp;str, const String &amp;pattern, bool caseSensitive=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#03d5c8169c33c9c9f86042add8678b2d">split</a>(const String &amp;str, const String &amp;delims=&quot;\t\n &quot;, unsigned int maxSplits=0)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#5061ec62dec2f01d8fd94d8d3a3677d6">splitBaseFilename</a>(const Ogre::String &amp;fullName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#16e5c81bee0dee5b89cb9c28f5cc137c">splitFilename</a>(const String &amp;qualifiedName, String &amp;outBasename, String &amp;outPath)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#3fe567e3f6a50feac64b50805d7e0446">splitFullFilename</a>(const Ogre::String &amp;qualifiedName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention, Ogre::String &amp;outPath)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#b936109efdb3b4f224cdddbb37704cd0">standardisePath</a>(const String &amp;init)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#a08af119e6752852489de475559252a0">startsWith</a>(const String &amp;str, const String &amp;pattern, bool lowerCase=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#ad3e31a0bb6592035b9e646a2bd9f0dc">StrStreamType</a> typedef</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#9ffdb5be3d3ac225a551d8c6f961ded2">toLowerCase</a>(String &amp;str)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#6a4aa0d892879d1f835398bcc4a8b8d2">toUpperCase</a>(String &amp;str)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringUtil.html#e36e8b6e19fef623f59d56772ed1dd7e">trim</a>(String &amp;str, bool left=true, bool right=true)</td><td><a class="el" href="classOgre_1_1StringUtil.html">Ogre::StringUtil</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:16 2008
</p>
</body>
</html>
